
# Class: AuWidgetPantoneColorPicker

## Hierarchy

  ↳ [AuBaseWidget](aubasewidget.md)

  ↳ **AuWidgetPantoneColorPicker**

## Implements

* [IWidget](../interfaces/iwidget.md)

## Index

### Constructors

* [constructor](auwidgetpantonecolorpicker.md#constructor)

### Properties

* [config](auwidgetpantonecolorpicker.md#config)
* [format](auwidgetpantonecolorpicker.md#format)
* [params](auwidgetpantonecolorpicker.md#params)
* [selectedColor](auwidgetpantonecolorpicker.md#selectedcolor)

### Methods

* [checkInitDependenciesWidgets](auwidgetpantonecolorpicker.md#checkinitdependencieswidgets)
* [exportWidgetData](auwidgetpantonecolorpicker.md#exportwidgetdata)
* [resetPreloaderState](auwidgetpantonecolorpicker.md#resetpreloaderstate)
* [restoreWidgetFromData](auwidgetpantonecolorpicker.md#restorewidgetfromdata)
* [showPreloader](auwidgetpantonecolorpicker.md#showpreloader)
* [showToast](auwidgetpantonecolorpicker.md#showtoast)
* [updateParams](auwidgetpantonecolorpicker.md#updateparams)
* [updateParamsAsync](auwidgetpantonecolorpicker.md#updateparamsasync)

## Constructors

###  constructor

\+ **new AuWidgetPantoneColorPicker**(): *[AuWidgetPantoneColorPicker](auwidgetpantonecolorpicker.md)*

*Overrides void*

**Returns:** *[AuWidgetPantoneColorPicker](auwidgetpantonecolorpicker.md)*

## Properties

###  config

• **config**: *[AuWidgetPantoneColorPickerConfig](auwidgetpantonecolorpickerconfig.md)*

___

###  format

• **format**: *string*

*Overrides void*

___

###  params

• **params**: *any*

*Inherited from [AuBaseWidget](aubasewidget.md).[params](aubasewidget.md#params)*

Compiled widget configuration.

___

###  selectedColor

• **selectedColor**: *any*

## Methods

###  checkInitDependenciesWidgets

▸ **checkInitDependenciesWidgets**(): *string[]*

*Inherited from [AuBaseWidget](aubasewidget.md).[checkInitDependenciesWidgets](aubasewidget.md#checkinitdependencieswidgets)*

Returns an array of widget names, due to which the current widget cannot receive parameters.

**Returns:** *string[]*

___

###  exportWidgetData

▸ **exportWidgetData**(`force`: boolean): *Promise‹[IColorPickerData](../interfaces/icolorpickerdata.md)›*

**Parameters:**

Name | Type |
------ | ------ |
`force` | boolean |

**Returns:** *Promise‹[IColorPickerData](../interfaces/icolorpickerdata.md)›*

___

###  resetPreloaderState

▸ **resetPreloaderState**(): *void*

*Inherited from [AuBaseWidget](aubasewidget.md).[resetPreloaderState](aubasewidget.md#resetpreloaderstate)*

**Returns:** *void*

___

###  restoreWidgetFromData

▸ **restoreWidgetFromData**(`widgetData`: [IColorPickerData](../interfaces/icolorpickerdata.md), `force`: boolean): *Promise‹void›*

**Parameters:**

Name | Type |
------ | ------ |
`widgetData` | [IColorPickerData](../interfaces/icolorpickerdata.md) |
`force` | boolean |

**Returns:** *Promise‹void›*

___

###  showPreloader

▸ **showPreloader**(`isPreload`: boolean, `message`: string | string[], `timeout`: number): *void*

*Inherited from [AuBaseWidget](aubasewidget.md).[showPreloader](aubasewidget.md#showpreloader)*

Shows a preloader.

```
"onClick": [
  "{{#function main.showPreloader(true, 'Creating print files...')}}",
  "{{#function $["editor"].getHiResImages(800,800)}}",
  "{{#function main.showPreloader(false)}}"
]
```

**Parameters:**

Name | Type | Default | Description |
------ | ------ | ------ | ------ |
`isPreload` | boolean | - | If `true`, enables the preloader. |
`message` | string &#124; string[] |  [""] | A text message that appears next to the preloader.  |
`timeout` | number | 5 | - |

**Returns:** *void*

___

###  showToast

▸ **showToast**(`data?`: string, `duration?`: number): *void*

*Inherited from [AuBaseWidget](aubasewidget.md).[showToast](aubasewidget.md#showtoast)*

Shows a toast.

```
return editor.loadUserInfo(data)
    .catch(err => {
        this.widget.showToast("Error: Invalid data");
        console.log(err);
    });
```

**Parameters:**

Name | Type | Description |
------ | ------ | ------ |
`data?` | string | A string message to display in the toast. |
`duration?` | number | Defines how long to show the toast for.  |

**Returns:** *void*

___

###  updateParams

▸ **updateParams**(`params`: [AuWidgetPantoneColorPickerConfig](auwidgetpantonecolorpickerconfig.md), `oldParams?`: any): *void*

*Overrides void*

**Parameters:**

Name | Type |
------ | ------ |
`params` | [AuWidgetPantoneColorPickerConfig](auwidgetpantonecolorpickerconfig.md) |
`oldParams?` | any |

**Returns:** *void*

___

###  updateParamsAsync

▸ **updateParamsAsync**(`params`: [AuWidgetPantoneColorPickerConfig](auwidgetpantonecolorpickerconfig.md), `oldParams?`: any): *Promise‹any›*

*Overrides void*

**Parameters:**

Name | Type |
------ | ------ |
`params` | [AuWidgetPantoneColorPickerConfig](auwidgetpantonecolorpickerconfig.md) |
`oldParams?` | any |

**Returns:** *Promise‹any›*
